### Method

# EDataCal CalBackend create_cache_filename

since: 3.4

#### Declaration [src]

    gchar*
    e_cal_backend_create_cache_filename (
      ECalBackend* backend,
      const gchar* uid,
      const gchar* filename,
      gint fileindex
    )

#### Description

No description available.

Available since: 3.4

#### Parameters

`uid`

  Type: `const gchar*`

  A component UID.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`filename`

  Type: `const gchar*`

  A filename to use; can be `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`fileindex`

  Type: `gint`

  Index of a file; used only when `filename` is `NULL`.

#### Return value

Type: `gchar*`

A filename for an attachment in a local cache dir. Free returned pointer with a g_free().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.